<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/style.css}">
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}">
    </script>
</head>
<body>
<div class="container shadow-lg p-3 mb-5 bg-white rounded ">
    <div th:insert="~{fragments/fragments::navbar(4)}">No navbar</div>
<h3 th:utext="#{addBank.add}" style="text-align: center">Add a Bank</h3>
<form method="post" action="/addBankMethod" th:object="${formData}">
    <div th:if="${#fields.hasAnyErrors()}" class="alert alert-danger">
        <p>The form contained errors!</p>
    </div>


    <div class="form-group">
    <label th:utext="#{addBank.name}">name</label>
    <select class="form-control" name="name">
     <option th:each="name : ${T(be.kdg.programming3.BankGilles.programming3.Banks).values()}"
             th:value="${name}" th:text="${name.toString()}">
    </option>
    </select>
        <br/>
    </div>
    <div class="form-group">
        <label th:utext="#{addBank.address}" >address</label>

        <input th:class="${#fields.hasErrors('address')}? 'is-invalid form-control':'form-control'" type="text" th:field="*{address}" /><br/>
        <div class="invalid-feedback" th:if="${#fields.hasErrors('address')}"
             th:text="${#fields.errors('address')}"></div>
    </div>

        <div class="form-group">
    <label th:utext="#{addBank.country}">country:</label>
    <input th:class="${#fields.hasErrors('country')}? 'is-invalid form-control':'form-control'" type="text" th:field="*{country}"/><br/>
            <div class="invalid-feedback" th:if="${#fields.hasErrors('country')}"
                 th:text="${#fields.errors('country')}"></div>
        </div>
    <div class="row justify-content-center">
     <button class="btn btn-primary btn-lg btn-block" type="submit">Submit</button>
    </div>
</form>
    <div th:insert="~{fragments/fragments::footer}">No footer</div>
</div>
</body>
</html>